# lsp-plug-in-plugins-lv2-trigger-midi-mono

LSP Trigger MIDI Mono

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstAudioFilter
                            ╰──lsp-plug-in-plugins-lv2-trigger-midi-mono

## Implemented interfaces

    GstPreset

## Factory details

Authors: – LSP LV2

Classification: – `Filter/Effect/Audio/LV2/Dynamics`

Rank – none

Plugin – lv2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – sink

Object type – GstPad

### `src`

    audio/x-raw:
             format: F32LE
           channels: 1
               rate: [ 1, 2147483647 ]
             layout: interleaved

Presence – always

Direction – src

Object type – GstPad

## Properties

### asel

    “asel” Lsp-plug-in-plugins-lv2-trigger-midi-monoasel *

Area selector

Flags : Read / Write / Construct

Default value : Trigger (0)

### bypass

    “bypass” gboolean

Bypass

Flags : Read / Write / Construct

Default value : false

### chan

    “chan” Lsp-plug-in-plugins-lv2-trigger-midi-monochan *

Channel

Flags : Read / Write / Construct

Default value : 01 (0)

### clear

    “clear” gboolean

Clear graph analysis

Flags : Read / Write / Construct

Default value : false

### dl

    “dl” gfloat

Detect level

Flags : Read / Write / Construct

Default value : 0.25119

### dry

    “dry” gfloat

Dry amount

Flags : Read / Write / Construct

Default value : 1

### dt

    “dt” gfloat

Detect time

Flags : Read / Write / Construct

Default value : 5

### dtr1

    “dtr1” gfloat

Dynamics range 1

Flags : Read / Write / Construct

Default value : 1.99526

### dtr2

    “dtr2” gfloat

Dynamics range 2

Flags : Read / Write / Construct

Default value : 0.01585

### dyna

    “dyna” gfloat

Dynamics

Flags : Read / Write / Construct

Default value : 10

### g-out

    “g-out” gfloat

Output gain

Flags : Read / Write / Construct

Default value : 1

### ism

    “ism” gfloat

Input signal meter

Flags : Read

Default value : 0

### isv

    “isv” gboolean

Input signal display

Flags : Read / Write / Construct

Default value : false

### lstn

    “lstn” gboolean

Trigger listen

Flags : Read / Write / Construct

Default value : false

### mn

    “mn” gint

MIDI Note #

Flags : Read

Default value : 0

### mode

    “mode” Lsp-plug-in-plugins-lv2-trigger-midi-monomode *

Detection mode

Flags : Read / Write / Construct

Default value : RMS (1)

### note

    “note” Lsp-plug-in-plugins-lv2-trigger-midi-mononote *

Note

Flags : Read / Write / Construct

Default value : B (11)

### oct

    “oct” Lsp-plug-in-plugins-lv2-trigger-midi-monooct *

Octave

Flags : Read / Write / Construct

Default value : 0 (2)

### out-latency

    “out-latency” gint

Latency OUT

Flags : Read

Default value : 0

### pause

    “pause” gboolean

Pause graph analysis

Flags : Read / Write / Construct

Default value : false

### preamp

    “preamp” gfloat

Signal pre-amplification

Flags : Read / Write / Construct

Default value : 1

### react

    “react” gfloat

Reactivity

Flags : Read / Write / Construct

Default value : 20

### rl

    “rl” gfloat

Release level

Flags : Read

Default value : 0

### rrl

    “rrl” gfloat

Relative release level

Flags : Read / Write / Construct

Default value : 0.707946

### rt

    “rt” gfloat

Release time

Flags : Read / Write / Construct

Default value : 10

### tfm

    “tfm” gfloat

Trigger function meter

Flags : Read

Default value : 0

### tfv

    “tfv” gboolean

Trigger function display

Flags : Read / Write / Construct

Default value : false

### tla

    “tla” gboolean

Trigger activity

Flags : Read

Default value : false

### tlm

    “tlm” gfloat

Trigger level meter

Flags : Read

Default value : 0

### tlv

    “tlv” gboolean

Trigger level display

Flags : Read / Write / Construct

Default value : false

### wet

    “wet” gfloat

Wet amount

Flags : Read / Write / Construct

Default value : 1

## Named constants

### Lsp-plug-in-plugins-lv2-trigger-midi-monoasel

#### Members

`Trigger` (0) – Trigger
`Instrument` (1) – Instrument

### Lsp-plug-in-plugins-lv2-trigger-midi-monochan

#### Members

`01` (0) – 01
`02` (1) – 02
`03` (2) – 03
`04` (3) – 04
`05` (4) – 05
`06` (5) – 06
`07` (6) – 07
`08` (7) – 08
`09` (8) – 09
`10` (9) – 10
`11` (10) – 11
`12` (11) – 12
`13` (12) – 13
`14` (13) – 14
`15` (14) – 15
`16` (15) – 16

### Lsp-plug-in-plugins-lv2-trigger-midi-monomode

#### Members

`Peak` (0) – Peak
`RMS` (1) – RMS
`Low-Pass` (2) – Low-Pass
`Uniform` (3) – Uniform

### Lsp-plug-in-plugins-lv2-trigger-midi-mononote

#### Members

`C` (0) – C
`C#` (1) – C#
`D` (2) – D
`D#` (3) – D#
`E` (4) – E
`F` (5) – F
`F#` (6) – F#
`G` (7) – G
`G#` (8) – G#
`A` (9) – A
`A#` (10) – A#
`B` (11) – B

### Lsp-plug-in-plugins-lv2-trigger-midi-monooct

#### Members

`-2` (0) – -2
`-1` (1) – -1
`0` (2) – 0
`1` (3) – 1
`2` (4) – 2
`3` (5) – 3
`4` (6) – 4
`5` (7) – 5
`6` (8) – 6
`7` (9) – 7
`8` (10) – 8

The results of the search are